This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.315. __nv_y0f

Prototype:

    float @__nv_y0f(float %x)

Description:

Calculate the value of the Bessel function of the second kind of order 0 for the input argument `x`, Y 0 ( x ) .

Returns:

Returns the value of the Bessel function of the second kind of order 0.

- __nv_y0f(0) returns − ∞ .

- __nv_y0f(`x`) returns NaN for `x` < 0.

- __nv_y0f( + ∞ ) returns +0.

- __nv_y0f(NaN) returns NaN.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes